import Axios, { AxiosError, AxiosResponse } from "axios";
import { getAuthHeader } from "services/userServices";
import { convertObjectToFormData } from "services/util";
import {
   getAllBrandsWithPagination, getProductsByBrandName,
} from "./apiEndpoints";

class brandDataAccess {


    getAllBrandsWithPagination = ( perPage=4, page=1) => {
        return Axios.get(getAllBrandsWithPagination + "?per_page=" + perPage + "&page=" + page )
        .then((response: AxiosResponse) => {
            if(response.data.status) {
                return response.data.data.brands;
            } else {
                return response.data;
            }
           })
           .catch((error: AxiosError) => {
              return (error.message);
           });
    };

    getProductsByBrandName = (brandName:string, perPage=12, page=1) => {
        return Axios.get(getProductsByBrandName + "?name=" + brandName + "&per_page=" + perPage + "&page=" + page )
        .then((response: AxiosResponse) => {
            if(response.data.success) {
                return response.data.data;
            } else {
                return response.data;
            }
           })
           .catch((error: AxiosError) => {
              return (error.message);
           });
    };


}
export default new brandDataAccess();